import { h } from '../foundation-core-ui.core.js';

class Button {
    constructor() {
        this.styles = 'btn-blue';
    }
    clickHandler() {
        this.clickEvent.emit();
    }
    render() {
        return (h("button", { class: `btn ${this.styles}`, onClick: () => this.clickHandler() }, this.name));
    }
    static get is() { return "dom-button"; }
    static get properties() { return {
        "buttonEl": {
            "elementRef": true
        },
        "name": {
            "type": String,
            "attr": "name"
        },
        "styles": {
            "type": String,
            "attr": "styles"
        }
    }; }
    static get events() { return [{
            "name": "clickEvent",
            "method": "clickEvent",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
    static get style() { return "dom-button button{color:#000;font-size:16px;padding:15px;border-radius:3px;border:none}dom-button button.danger{background-color:red;color:#fff}dom-button button.success{background-color:green;color:#fff}"; }
}

export { Button as DomButton };
